<?php


namespace Fifa\ConnectId\Sdk\Model\Transfer;

class FixedTransferFee
{
    /**
     * @var TransferFeeDetails
     */
    public $FeeDetails;

    /**
     * FixedTransferFee constructor.
     * @param TransferFeeDetails $feeDetails
     */
    public function __construct(TransferFeeDetails $feeDetails)
    {
        $this->FeeDetails = $feeDetails;
    }

    /**
     * @return string
     */
    public function __toString()
    {
        $transferFee = $this->FeeDetails->__toString();
        return sprintf('Fixed transfer fee. Details: %s', $transferFee);
    }
}